CREATE TABLE ap_bank_charges (
    BANK_CHARGE_ID                 NUMBER(18, 0),
    TRANSFERRING_BANK_BRANCH_ID    NUMBER(18, 0),
    TRANSFERRING_BANK_NAME         VARCHAR2(240),
    TRANSFERRING_BANK              VARCHAR2(80)     NOT NULL,
    TRANSFERRING_BRANCH            VARCHAR2(80)     NOT NULL,
    RECEIVING_BANK_BRANCH_ID       NUMBER(18, 0),
    RECEIVING_BANK_NAME            VARCHAR2(240),
    RECEIVING_BANK                 VARCHAR2(80)     NOT NULL,
    RECEIVING_BRANCH               VARCHAR2(80)     NOT NULL,
    SETTLEMENT_PRIORITY            VARCHAR2(100)    NOT NULL,
    CURRENCY_CODE                  VARCHAR2(60)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    ATTRIBUTE_CATEGORY             VARCHAR2(600),
    ATTRIBUTE1                     VARCHAR2(600),
    ATTRIBUTE2                     VARCHAR2(600),
    ATTRIBUTE3                     VARCHAR2(600),
    ATTRIBUTE4                     VARCHAR2(600),
    ATTRIBUTE5                     VARCHAR2(600),
    ATTRIBUTE6                     VARCHAR2(600),
    ATTRIBUTE7                     VARCHAR2(600),
    ATTRIBUTE8                     VARCHAR2(600),
    ATTRIBUTE9                     VARCHAR2(600),
    ATTRIBUTE10                    VARCHAR2(600),
    ATTRIBUTE11                    VARCHAR2(600),
    ATTRIBUTE12                    VARCHAR2(600),
    ATTRIBUTE13                    VARCHAR2(600),
    ATTRIBUTE14                    VARCHAR2(600),
    ATTRIBUTE15                    VARCHAR2(600),
    ATTRIBUTE_NUMBER1              NUMBER       ,
    ATTRIBUTE_NUMBER2              NUMBER       ,
    ATTRIBUTE_NUMBER3              NUMBER       ,
    ATTRIBUTE_NUMBER4              NUMBER       ,
    ATTRIBUTE_NUMBER5              NUMBER       ,
    ATTRIBUTE_DATE1                DATE         ,
    ATTRIBUTE_DATE2                DATE         ,
    ATTRIBUTE_DATE3                DATE         ,
    ATTRIBUTE_DATE4                DATE         ,
    ATTRIBUTE_DATE5                DATE         ,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    TRANSFERRING_BANK_ID           NUMBER(18, 0),
    RECEIVING_BANK_ID              NUMBER(18, 0),
    LEGAL_ENTITY_ID                NUMBER(18, 0),
    BANK_CHARGE_ID                 NUMBER(18, 0),
    TRANSFERRING_BANK_BRANCH_ID    NUMBER(18, 0),
    TRANSFERRING_BANK_NAME         VARCHAR2(240),
    TRANSFERRING_BANK              VARCHAR2(80)     NOT NULL,
    TRANSFERRING_BRANCH            VARCHAR2(80)     NOT NULL,
    RECEIVING_BANK_BRANCH_ID       NUMBER(18, 0),
    RECEIVING_BANK_NAME            VARCHAR2(240),
    RECEIVING_BANK                 VARCHAR2(80)     NOT NULL,
    RECEIVING_BRANCH               VARCHAR2(80)     NOT NULL,
    SETTLEMENT_PRIORITY            VARCHAR2(100)    NOT NULL,
    CURRENCY_CODE                  VARCHAR2(60)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    ATTRIBUTE_CATEGORY             VARCHAR2(600),
    ATTRIBUTE1                     VARCHAR2(600),
    ATTRIBUTE2                     VARCHAR2(600),
    ATTRIBUTE3                     VARCHAR2(600),
    ATTRIBUTE4                     VARCHAR2(600),
    ATTRIBUTE5                     VARCHAR2(600),
    ATTRIBUTE6                     VARCHAR2(600),
    ATTRIBUTE7                     VARCHAR2(600),
    ATTRIBUTE8                     VARCHAR2(600),
    ATTRIBUTE9                     VARCHAR2(600),
    ATTRIBUTE10                    VARCHAR2(600),
    ATTRIBUTE11                    VARCHAR2(600),
    ATTRIBUTE12                    VARCHAR2(600),
    ATTRIBUTE13                    VARCHAR2(600),
    ATTRIBUTE14                    VARCHAR2(600),
    ATTRIBUTE15                    VARCHAR2(600),
    ATTRIBUTE_NUMBER1              NUMBER       ,
    ATTRIBUTE_NUMBER2              NUMBER       ,
    ATTRIBUTE_NUMBER3              NUMBER       ,
    ATTRIBUTE_NUMBER4              NUMBER       ,
    ATTRIBUTE_NUMBER5              NUMBER       ,
    ATTRIBUTE_DATE1                DATE         ,
    ATTRIBUTE_DATE2                DATE         ,
    ATTRIBUTE_DATE3                DATE         ,
    ATTRIBUTE_DATE4                DATE         ,
    ATTRIBUTE_DATE5                DATE         ,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    TRANSFERRING_BANK_ID           NUMBER(18, 0),
    RECEIVING_BANK_ID              NUMBER(18, 0),
    LEGAL_ENTITY_ID                NUMBER(18, 0),
    CONSTRAINT pk_ap_bank_charges PRIMARY KEY (BANK_CHARGE_ID, BANK_CHARGE_ID)
);
